# NativeLibraryRequirement

@Incubating
interface NativeLibraryRequirement

A dependency on a native library within the build.

## Functions

getLibraryName
Link copied to clipboard
abstract fun getLibraryName(): String
The name of the required library.
getLinkage
Link copied to clipboard
abstract fun getLinkage(): String
The required linkage.
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
The path to the project containing the library.
withProjectPath
Link copied to clipboard
abstract fun withProjectPath(projectPath: String): NativeLibraryRequirement
Creates a copy of this requirement with the specified project path